Avaya Client Services API Reference (iOS)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSContentSharing Class Reference

The CSContentSharing object provides access to content sharing related capabilities and actions. More...

`#import <CSContentSharing.h>`

Inherits NSObject.

## Properties
id< CSContentSharingDelegate > | delegate
| The delegate used to handle content sharing related events. More...
CSScreenSharingListener * | screenSharingListener
| Should be created and set by client here and also in the screen sharing view. More...
id< CSContentSharingRemoteControlDelegate > | remoteControlDelegate
| The delegate used to handle remote control related events. More...
CSParticipant * | currentPresenter
| Indicates participant who is currently sharing. More...

## Detailed Description

The CSContentSharing object provides access to content sharing related capabilities and actions.

This class is used for receiving and sending content sharing. CSContentSharing object is accessible via CSCollaboration. Status updates concerning content sharing are reported via CSContentSharingDelegate. CSContentSharing caches last frame of received content sharing. It's needed in situation when sharing is started before creating UI elements needed to present it.

See also
  CSCollaboration
  CSContentSharingDelegate
  CSScreenSharingListener
  CSIOSScreenSharingView

## Property Documentation

- (CSParticipant*) currentPresenter
| read nonatomic assign

Indicates participant who is currently sharing.

Returns nil in case sharing is not active.

- (id<CSContentSharingDelegate>) delegate
| read write nonatomic weak

The delegate used to handle content sharing related events.

- (id<CSContentSharingRemoteControlDelegate>) remoteControlDelegate
| read write nonatomic weak

The delegate used to handle remote control related events.

- (CSScreenSharingListener*) screenSharingListener
| read write nonatomic strong

Should be created and set by client here and also in the screen sharing view.

See also
  CSContentSharingDelegate
  CSIOSScreenSharingView

The documentation for this class was generated from the following file:

- CSContentSharing.h